/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import type { GraphManager, Step } from '@data-wrangling-components/core';
import type ColumnTable from 'arquero/dist/types/table/column-table';
import type React from 'react';
import type { DropdownChangeHandler, TextFieldChangeHandler } from '../hooks/fluent.js';
import type { StepComponentProps } from '../types.js';
export declare function useStepChangeHandler(index: number, onChange: (step: Step, index: number) => void): (step: Step) => void;
export declare function useStepArgsComponent(step: Step): React.FC<StepComponentProps<unknown>> | null;
export declare function useColumnFilter(step: Step<unknown>, table?: ColumnTable): (name: string) => boolean;
export declare function useInputTableChanged(step: Step, graph: GraphManager | undefined, onChange: (step: Step) => void): DropdownChangeHandler;
export declare function useInputColumnChanged(step: Step, onChange: (step: Step) => void): DropdownChangeHandler;
export declare function useOutputColumnChanged(step: Step, onChange: (step: Step) => void): TextFieldChangeHandler;
export declare function useOutputTableChanged(step: Step, onChangeOutput: (val: string) => void, onChange: (step: Step) => void): TextFieldChangeHandler;
export declare function useDefaultOutputNameInitially(step: Step, output: string | undefined, onChangeOutput: (value: string | undefined) => void): void;
